About Program

Advanced Grapher 2.2, Copyright © 1998-2009 Alentum Software, Inc.

You can use the trial version of the program for 30 days. If you wish to use Advanced Grapher after the trial period you must purchase the full version of the program and get your license key.
You can download the latest version of Advanced Grapher and additional language files from the Advanced Grapher Home Page: http://www.alentum.com/agrapher/.

Send your questions, comments and bug reports to agrapher@alentum.com.


What's New

Version 2.2:

  • Saving as GIF

    Version 2.11:

  • Several bugs fixed

    Version 2.1:

  • Interface improvements
  • Supports up to 100 graphs in one document
  • Several bugs fixed

    Version 2.08:

  • Minor bugs fixed

    Version 2.07:

  • Minor bugs fixed

    Version 2.06:

  • Minor bugs fixed

    Version 2.05:

  • Corrected work with default graph properties
  • Improved flat style interface

    Version 2.03:

  • Improved table import
  • Supports up to 5000 points per table

    Version 2.02:

  • Supports Windows XP visual styles

    Version 2.01:

  • Several bugs fixed

    Version 2.0:

  • New MS Office 2000 like interface: customizable toolbars and menus, dockable windows, etc.
  • Improved Graph List window
  • New calculator
  • Document Properties window
  • The program stores all options in the registry (instead of ini files)
  • New format of the files (size decreased in 2-20 times depending on the file)
  • Minor interface improvements

    Version 1.63:

  • Minor bugs fixed

    Version 1.62:

  • Minor bugs fixed

    Version 1.61:

  • Several bugs fixed

    Version 1.6:

  • Supports custom text labels
  • Minor changes of the interface

    Version 1.53:

  • Saving as EMF

    Version 1.52:

  • Improved interface

    Version 1.51:

  • New help system
  • New installation system
  • Several bugs fixed

    Version 1.5:

  • Up to 1000 points per table
  • The package includes a manual

    Version 1.3:

  • Supports legends
  • New property of graphs: description

    Version 1.21:

  • Supports different line styles of graphs
  • Changed limitations of the unregistered version

    Version 1.2a:

  • Supports French, Spanish and Croatian interfaces
  • Several changes of the installation

    Version 1.2:

  • Graphing systems of inequalities
  • New operations and functions
  • Saving tables as text files
  • Copying and pasting tables
  • Smoothing table graphs
  • Obtaining intersections
  • Equal Scale of Marks mode
  • Boxed style of the axes
  • Drawing titles of graphs
  • Some other small improvements

    Version 1.12:

  • Enhanced work with tables
  • Multilingual interface

    Version 1.11:

  • Copying as EMF
  • Loading tables from text files


Purchase

If you purchase Advanced Grapher you will be able to use it without any limitations and reminder windows. You will also get all future versions of the program free of charge.

If you would like to purchase Advanced Grapher visit http://www.alentum.com/purchase.htm.


How to...

...add a new graph.

...remove an existing graph.

...increase the accuracy of a graph.

...export graph to a Word document.

...enter x-y data. Add a new table graph. Then you can enter your data and plot the graph.

...make the scale on X and Y equal. Set the "Equal scale of marks" option to ON (Axes page of the Document Properties dialog).

...trace a graph. Click [image] button.

...label graphs. Click [image] button. Then click on that place of the coordinate plane where the label should be placed. To change the properties of the existing label double click on it or click the right mouse button on the label and choose the Properties command from the popup menu. You can also delete the label with the help of this menu.

...perform regression. Add graph of a table that should be analyzed (if it doesn't exist). Then open the Regression window with the help of the Calculus | Regression command from the main menu.

...use a calculator. Type any expression and press Enter.

...plot graph of a piecewise function. You should add several graphs with different plotting intervals and equations.
Example: Plot a graph of a piecewise function y=cos(x) when x<=0, y=1 when 0<x<=1, y=x^2 when x>1. Visible interval is [-10..10] for X and [-10..10] for Y.
1. Add a graph of Y(x)=cos(x), set its Minimum of X option to -10, Maximum of X option to 0.
2. Add a graph of Y(x)=1, set its Minimum of X option to 0, Maximum of X option to 1.
3. Add a graph of Y(x)=x^2, set its Minimum of X option to 1, Maximum of X option to 10.
You will plot the following graph:

...graph a system of inequalities. You should use the AND operator. E.g. if you want to graph the system sin(x)>xy, x^2<3y, y<4 you should plot a graph of inequality (sin(x)>xy and x^2<3y and y<4)>0.

...show background in the graph list. Set the "Show background in the graph list" option ON (Edit | Options).


Chapter 1. Expressions

When a graph is defined by an equation, Advanced Grapher offers the option of different types of operation, consisting of constants and variables and/or their functions, connected by operators.

Operations

  • arithmetical operations: +, -, *, /, ^ (raising to power).
    Example: 2+2^3=10
Hint: you can use the calculator to check the examples. Click [image] button to show the calculator (Figure 1.1).

Figure 1.1: Calculator

  • logical operations. The result and operands of these operations may be true or false.
    Advanced Grapher doesn't have special values for true and false. If the operand is negative or zero it's false, else it's true. The result of the operations is always 0 (false) or 1 (true). Advanced Grapher supports the following logical operations: AND, OR, XOR and NOT. NOT is an unary operator; AND, OR, XOR are binary operations. You can see results of the operations depending on the value of the operands in the following table:

    • Operand 1 | Operand 2 | AND | OR | XOR | NOT
0 | 0 | 0 | 0 | 0 | 1
0 | 1 | 0 | 1 | 1 |
1 | 0 | 0 | 1 | 1 | 0
1 | 1 | 1 | 1 | 0 |

    (The result for the not operation depends on the operand 1 only - not Operand 1).
    Examples: 1 or 0=1; 5 and -1=0; (not 3) + 2*(1 xor 0)=2

  • relational operations: >,<,>=,<=,=,<>. The result of these operations is 0 (false) or 1 (true). These operations are mostly used to graph systems of inequalities.
    Examples: (2>3) = 0; (3<=3) = 1; (0<>1) = 1

Functions

You can use different functions in the expressions. If you'd like to use a function you should enter <name_of_function>(<argument>).
Examples: sin(x+2); ln(ln(1/x)); sin(x)^3.

Advanced Grapher allows to use the following functions:
sin - sine
cos - cosine
tan - tangent
cot - cotangent
asin - inverse sine
acos - inverse cosine
atan - inverse tangent
abs - absolute value
sqrt - square root
ln - natural logarithm
lg - logarithm base 10
exp - exponent (exp(x) - e raised to the power x)
int - integer part of number
round - rounded value
frac - fractional part of number
sign - sign(x)=1 if x>0, sign(x)=0 if x=0 and sign(x)=-1 if x<0
sinh - hyperbolic sine
cosh - hyperbolic cosine
tanh - hyperbolic tangent
coth - hyperbolic cotangent
asinh - hyperbolic inverse sine
acosh - hyperbolic inverse cosine
atanh - hyperbolic inverse tangent
acoth - hyperbolic inverse cotangent
random - random(x)=rnd*x, rnd is a random value, 0<=rnd<1

Priority of the operations and functions

1. Functions
2. ^
3. *,/
4. +,-
5. >=,=,<=,<,>,<>
6. not
7. and, or, xor
Functions have the largest priority; and, or, xor - the smallest.
Example: not 1+2 and 0 = (not (1+2)) and 0 = 0

Constants

Advanced Grapher recognizes the constant PI which is directly available. If you wish to use the constant e (base of natural logarithm), type in exp(1).

Variables

You can also use one or two variables, for example X, Y, A or T (it depends on the situation).

Additional information

You can leave out "*". Examples: xy, (x+1)(5y+x), xx, xsin(x).


Chapter 2. Managing graphs

Advanced Grapher has advanced graph management capabilities. You can easily add, remove and duplicate graphs and change their order in the graph list.

You can manage graphs with the help of the Graph toolbar (Figure 2.1) and the Graph List window (Figures 2.2 and 2.3). Click [image] button to hide/show the Graph list.

Figure 2.1: Graph toolbar

Figure 2.2: Graph list

Figure 2.3: Graph list

Advanced Grapher allows to do the following operations with graphs:

  • adding new graph. To do it
    1. Click [image] or [image] button on the Graph toolbar; or
    2. Click the right mouse button on the Graph List window (but not on a title of some graph) and choose the Add Graph or Add Table Graph command from the context menu (Figure 2.3).
    The properties of the graph will be set to the default ones. If you choose the Add Table Graph command the type of the graph will be set to Table. You can change the type of the graph with the help of the Graph Properties window.

Hint: if you interrupted the calculating of the graph data and wish to finish the calculating you should use the Graphs | Finish Calculating command from the main menu.

  • deleting existing graph. To do it
    1. Select the graph (with the help of the combo box on the Graph toolbar or the Graph list). Then click [image] button on the Graph toolbar; or
    2. Click the right mouse button on the title of the appropriate graph in the graph list window and choose the Delete command from the context menu (Figure 2.2).
  • duplicating existing graph (adding a new graph with the properties of the existing graph). To do it select the graph and then click [image] button on the Graph toolbar.
  • changing the order of the graphs. This order determines the plotting order of the graphs. Click on a title of the desired graph (on the Figure 2.4 - Y(x)=2.5/x) with the left mouse button and, while not releasing it, drag the title of the over another title which is to follow the chosen title.

Figure 2.4: Changing the order of the graphs

  • changing properties of the selected graph. You can change different properties of the graph including its design, equation or table etc.
    You can change the design properties of the graph with the help of the Graph toolbar (Figure 2.1). You don't need to open any additional windows.
    If you want to change other properties of the graph you should
    1. Click [image] button on the Graph toolbar; or
    2. Click the right mouse button on the title of the appropriate graph in the graph list window and choose the Properties command from the context menu. You can also double click in the title of the graph to show the Graph Properties dialog.

You can find more information about graph properties in the Chapter 3.


Chapter 3. Graph properties

Graphs have various properties, some of which may be shared by other graphs, e.g color and some of them depends on the type of the graph. Each graph has main properties and additional properties.

Design properties

Each graph has design properties but they differs because they depends on the graph types. E.g. graphs of inequalities don't contain lines so you can't the style of lines for these graphs.

The simplest way of changing the design properties of the graph is to use the graph toolbar (Figure 3.1). You can determine to plot the selected graph or not ( [image] button) for each graph. Some types of graphs (Y(x), X(y), graphs of tables, etc.) allow to be plotted with lines or points (or lines and points), you can change the style of shading for the graphs of inequalities, etc.

Figure 3.1: Graph toolbar

The other way of changing the design properties is using the Graph Properties window. This window also opens when you add or duplicate a graph.

Figure 3.2: Graph Properties window

Description

This property is very useful when you create legend. The description is also shown in the graph list.

Y(x), X(y), R(a) - polar graphs, X(t) and Y(t) - parametrical equations

These types of graphs are very similar. For each of them you must define equation.

You can also define the interval of the independent variable (x, y, a or t). If the interval isn't defined, it is set to the view interval on X or Y.

You can define the plot parameters of the graphs. When they aren't defined (Figure 3.3) they are set to the default ones. The default plot parameters are defined in the Document Properties window.

Figure 3.3: Plot parameters aren't defined

Figure 3.4: Plot parameters are defined

Number of steps determines the accuracy of the plotting. If you'd like to increase the accuracy you should increase the number of steps. Sometimes it's useful to define a small number of steps, e.g. when you plot the graph with points (Fig. 3.5). Number of points of the graph is number of steps plus 1.

Figure 3.5: Graph, number of steps is 8, number of points is 8+1=9

Hint: if you didn't define the plot parameters for several graphs you can change them for these graphs (e.g. to increase the accuracy) by defining the plot parameters in the Document Properties window.

Maximum gap is a more complex option. It is a number designating one percent of an interval. If the distance between two adjacent points is more than the maximum gap, these points are not connected with a line (when lines are plotted). Advanced Grapher calculates the gap on X and Y independantly. Then it calculates GapX/IntervalX and GapY/IntervalY. If one of this values is more than maximum gap (e.g. 200%=2) the points aren't connected with a line.

It is necessary to set the small maximum gap when you plot graphs like int(x) or tan(x) (if the distance between adjacent points is too large, it is desirable not to connect them).

F(x,y)>|=|<0 - equation or inequality

For these graphs you can define intervals, number of steps and maximum gap too.

dy/dx or dx/dy - slope field

For these graphs you can define intervals, number of horizontal series, number of vertical series and length of the lines.

Table

Advanced Grapher has advanced table management capabilities (Figure 3.6).

Figure 3.6: Data manipulation tools

Hint: with the help of the cut, copy and paste buttons you can exchange data with Excel and some other spreadsheets. The data may be also read and write to the text files with the help of the File | Import Table and File | Export Table commands. You can also undo up to 15 last operations with table and redo them.

You can also define additional properties of the table graphs: type of sorting and smoothing (with cubic splines).

Default graph properties

When you add a new graph, its properties are set to the default ones. When you change the graph type (in the Graph Properties window), the additional properties are set to the default ones. You can change the default graph properties with the help of the Default Graph Properties window (Figure 3.7). You can open this window with the help of the Graphs | Default Graph Properties command from the main menu.

Figure 3.7: Default Graph Properties window

Hint: if the "New color for new graph" option is ON (Edit | Options) when you add new graph, its color is set to one that is less frequently used.


Chapter 4. Document Properties

Document properties determines the view of the coordinate plane, intervals and plot options of the graphs. You can determine document properties with the help of the Document Properties dialog. Click [image] or Graphs | Document Properties from the main menu to open this window.

Figure 4.1: Document Properties dialog

Plot options

These options may be defined with the help of the Plot page.

  • Intervals. The intervals may also be changed with the help of the Standard toolbar (Figure 4.2).
    The first 10 buttons are used to zoom in or out on X/Y axes or move the view interval to the left/right/upwards/downwards.
    Click [image] button to choose the intervals. Then press the left mouse button and drag mouse cursor to the selected interval.
    Click [image] button to move the coordinate origin to the center of an active window.

Figure 4.2: Standard toolbar

Hint: if you change the intervals with the help of the Standard toolbar the steps of the ticks and labels are changed automatically. If you change intervals with the help of the Document Properties dialog, the steps of the ticks and labels will be changed if the "Change steps when interval changed" option is ON (Edit | Options).

  • Plot options . The first two options (Number of Points and Maximum Gap) are used as default graph parameters for some types of graphs (see Chapter 3 for more information).
    The Point Align option is a very special option. It's used rarely but it may be useful too. If the Point Align check box is ON, the X, Y, A or T parameters will accept values, equal to K * Point_Interval, where Point_Interval is equal to the interval of the appropriate parameter divided by the number of steps. Thus, if an interval includes 0, one value always will be calculated for the value of the parameter, equal to 0. Thus, in some cases the number of calculated points will be equal to the number of steps (instead of number of steps + 1). If the switch is OFF, the values of the function always will be calculated for the values of the parameters, corresponding to the boundary values of the interval. However, if the interval includes 0, it is possible that no value will be calculated for the parameter equaling 0.
    This option is usually used when the number of points is small.
    Example: graph of Y(x)=x^2, number of steps is 7 (Figures 4.3 and 4.4).

Figure 4.3: Point align is ON

Figure 4.4: Point align is OFF

  • Coefficients. The actual values on the axes are equal to visible values, multiplied with the coefficients at the appropriate axes. At the determination of intervals on X and Y in this window or in additional properties, numbers are used, which afterwards will be multiplied with a coefficient. In a map of points, however, the coordinates of which were calculated (or are given in a table), the coordinates then are reduced according to the coefficients. For example, if the coordinate Y of a point in a table is equal to 6 and the coefficient on the y-axis is equal to 2, the coordinate of the point on the screen is 6/2 = 3.
    Coefficient parameters can be used, for example, to plot graphs of trigonometrical functions. If it is the Y(x) graph, the coefficient on the x-axis can be specified as 3.1415927. Thus, the numbers on the x-axis will show fractions of Pi. You can also do it with the help of the Graphs | Sets of Properties | Trigonometrical Set command.
  • Logarithmic scale. If you want to use logarithmic scale, select the corresponding check box (X-Axis or Y-Axis). You can also set logarithmic base. If the logarithmic scale is ON, all intervals will be represented in the base^num format. If you set the interval on X to -2..2, the logarithmic base on X to 10 and the logarithmic scale on X to ON, the actual interval will be 10^-2..10^2.

Legend

Legend is very useful if you print graphs or create illustrations.

If the description of the graph isn't defined its formula (or number of items) is shown in the legend. Otherwise the description is shown. You can change the description of a graph with the help of the Graph Properties dialog (see Chapter 3).

Hint: the description of the graphs is shown in the graph list too (e.g. "Y(x)=2.5/x [Isoterm]", "Isoterm" is a description of the graph).

Example: Figure 4.5. For the graph of an equation the description is defined ("Ellipse"). But for the graph of the inequality the description isn't defined so its formula is shown in the legend.

Figure 4.5: Graph with legend

You can change the options of the legend with the help of the Legend page. You can also set the legend ON/OFF with the help of the menu that appears when you click the right mouse button on the graph window (Figure 4.6).

Figure 4.6: Use this menu to change the properties of the coordinate plane


Chapter 5. Calculus features

You can work with the calculus capabilities of Advanced Grapher with the help of the Calculus toolbar or the Calculus menu (Figure 5.1).

Figure 5.1: Calculus menu

Most of these capabilities are self explanatory. You can also read some useful information about the Analyze Function, Intersections and Regression windows.


Chapter 6. Files and clipboard

Files

You can save documents with the help of the File menu. You can also click [image] to open a document and [image] to save a document.

Import and Export Operations

Advanced Grapher allows to import and export information to the other programs and files. You can export/import the following information:

  • Graph pictures. You can export these pictures to the other programs. Advanced Grapher allows to
    1. copy graph pictures as EMF or BMP to other documents. You can do it with the help of the Edit | Copy As Picture command from the main menu. Copying as EMF is especially useful if you'd like to export graphs to the documents of Microsoft Word.
    2. save graph pictures as EMF, BMP or GIF. You can do it with the help of the File | Save As Picture command from the main menu.
    When you copy or save graphs as pictures you can specify the scale factor. This is useful if you want to print the graph pictures from the other programs after exporting from Advanced Grapher.
  • Table data. You can
    1. import table data from the text files. Use the File | Import Table command from the main menu.
    2. export table data to the text files. Use the File | Export Table command from the main menu.
    You can also copy/cut/paste table data when you work with the Graph properties window (see Chapter 3).

If you wish to print the graphs use the File | Print command or click [image] button.


Analyze Function

Use this dialog box to set up parameters of the function analysis.

You can enter the formula of a function or select it in the "Y(x)=" combo box. This combo box contains list of formulas of functions of Y(x) type, whose graphs exist in the active document. Select the Zeroes of Function and/or Extrema check box if you want to find zeroes/extrema of the function.

You can select the interval over which the function will be analyzed by the Minimum of X and Maximum of X edits. The entered values are actual and they are not related to the coefficients of X (see Plot Options).

If you select the Use Derivative check box, the analytically determined derivative will be used to find the extrema of the function.

Note: it is not always possible to find zeroes and extrema with the accuracy specified in the Accuracy (Decimal Signs) edit.


Intersections

Use this dialog box to set up parameters obtaining of the intersections.

You can enter the formulas of functions or select them in the "Y1(x)=" and "Y2(x)=" combo boxes. These combo boxes contain list of formulas of functions of Y(x) type, whose graphs exist in the active document.

You can select the interval over which the intersections will be obtained by the Minimum of X and Maximum of X edits. The entered values are actual and they are not related to the coefficients of X (see Plot Options).


Options

Use this dialog box to specify some interface parameters. The window contains the following elements:

Confirmations | Delete graph. Use this check box to indicate whether you need or don't need confirmation for deletion of a graph.

New color for new graph. If this check box is OFF when you add a new graph, its color is defined by the default properties. If it's ON when you add a new graph, the program automatically selects a color used by the fewest number of graphs and different from the background.

Change steps when intervals changed. If the check box is ON, when you modify intervals from the Document Properties window, steps of the grid, ticks and labels are proportionally changed too.

Show background in the graph list. If the check box is ON, in the graph list the color of the background is shown. It can be useful, for example, when the color of the background is black, the color of some graph is white and the color of the graph list is also white.

Show splash screen. Show splash screen at startup.


Regression

Use this window to find an Y(x) function for a specified value table of X and Y, which is the most exact approximation of the data of the table. The analysis will be carried out by the least squares method. The window contains the following elements:

Tables. Use this combo box to choose from the graphs listed in the table the one for which regression analysis will be performed.

Regression Type. Use this group of elements to choose the regression type. For polynomial regression you can choose the power of the polynomial. Choosing the "best fit curve" for regression results in the type of regression producing the highest coefficient of determination.

Goodness of Fit. The group of the elements shows values of the standard deviation and the coefficient of determination (R^2).
If the function cannot be found, the appropriate message will be shown. The function cannot be found if the amount of specific points with distinct abscissas is less than 2 or if the table contains data not approaching for the given type of regression (for hyperbolic regression X must not be equal 0, for logarithmic - X > 0, for power - X > 0 and Y> 0, for exponential and exponential II - Y> 0).

Y(x). The edit box shows the formula of the found function.

Add Graph. Use this button to add the graph of the found function.